com.unitech.lib.engine.types

## Enum HIDKeyboardCase

- java.lang.Object
- - java.lang.Enum<HIDKeyboardCase>
  - - com.unitech.lib.engine.types.HIDKeyboardCase

- All Implemented Interfaces:
    Serializable, Comparable<HIDKeyboardCase>

      public enum HIDKeyboardCase
      extends Enum<HIDKeyboardCase>

  The HIDKeyboardCase enum represents different types of HID keyboard cases. Each HID keyboard case is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a HID keyboard case, and to get a HID keyboard case from its byte value. It also provides a method to get an array containing the names of the HID keyboard cases.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `auto`
    `lower`
    `upper`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HIDKeyboardCase` | `fromValue(int value)` Gets a HID keyboard case from its byte value.
    `byte` | `getCode()` Gets the byte value of the HID keyboard case.
    `static String[]` | `names()` Returns an array containing the names of the HID keyboard case constants.
    `String` | `toString()` Returns the string message of the HID keyboard case.
    `static HIDKeyboardCase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HIDKeyboardCase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### auto

          public static final HIDKeyboardCase auto

    - #### lower

          public static final HIDKeyboardCase lower

    - #### upper

          public static final HIDKeyboardCase upper

  - ### Method Detail

    - #### values

          public static HIDKeyboardCase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HIDKeyboardCase c : HIDKeyboardCase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HIDKeyboardCase valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the HID keyboard case.
      Returns:
        The byte value of the HID keyboard case.

    - #### toString

          public String toString()

      Returns the string message of the HID keyboard case.
      Overrides:
        `toString` in class `Enum<HIDKeyboardCase>`
      Returns:
        The string message of the HID keyboard case.

    - #### fromValue

          public static HIDKeyboardCase fromValue(int value)
                                           throws IllegalArgumentException

      Gets a HID keyboard case from its byte value.
      Parameters:
        `value` - The byte value of the HID keyboard case.
      Returns:
        The HID keyboard case associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any HID keyboard case.

    - #### names

          public static String[] names()

      Returns an array containing the names of the HID keyboard case constants.
      Returns:
        An array containing the names of the HID keyboard case constants.